Subject: Re: [MMUSIC] Fwd: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt - comments on the Abstract

From: Christer Holmberg <[email-masked]>
Date: Fri, 27 Jan 2017 17:52:55 +0000

Hi,

I will read the rest of the document later, but a few initial comments on the Abstract:

The text says:

   “OSRTP is an implementation of Opportunistic Security, as defined in RFC 7435.”

Q1: I suggest to say “…of the Opportunistic Security mechanism, defined in RFC 7435, for RTP.”

Q2: I suggest to place this sentence first in the abstract. Currently the first sentence talks about what OSRTP does, before it has been explained what OSRTP is.

The text says:

   “OSRTP does not require advanced SDP extensions or features and is
   fully backwards compatible with existing secure and insecure
   implementations.”

Q3: I suggest to remove “advanced”, because I don’t know what an advanced SDP extension is :)

Q4: What do you mean by “secure and insecure implementations”? I think some re-wording or clarification is needed.

Regards,

Christer

From: mmusic [mailto:[email-masked]] On Behalf Of Andy Hutton
Sent: 23 January 2017 13:51
To: [email-masked]; [email-masked]; Ben Campbell <[email-masked]>; [email-masked]
Subject: [MMUSIC] Fwd: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt

I have just submitted this draft.

The draft is the result of discussion in the SIPBrandy working group regarding how to proceed with https://tools.ietf.org/html/draft-ietf-sipbrandy-osrtp-01.  The SIPBrandy WG was not able to progress the opportunistic SRTP work because it required an update to RFC 4568 which is not covered by the SIPBrandy charter.

This short draft is therefore submitted to MMUSIC with a view to updating the relevant RFC's and progressing the OSRTP work in SIPBrandy.

Regards
Andy

---------- Forwarded message ----------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Jan 23, 2017 at 11:08 AM
Subject: I-D Action: draft-hutton-mmusic-opportunistic-negotiation-00.txt
To: [email-masked]<mailto:[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Negotiating SRTP and RTCP Feedback using the RTP/AVP Profile
        Authors         : Andrew Hutton
                          Roland Jesske
                          Alan Johnston
                          Gonzalo Salgueiro
                          Bernard Aboba
        Filename        : draft-hutton-mmusic-opportunistic-negotiation-00.txt
        Pages           : 6
        Date            : 2017-01-23

Abstract:
   This document describes how the use of the Secure Real-time transport
   protocol (SRTP) [RFC3711]. can be negotiated using the AVP (Audio
   Video Profile) defined in [RFC3551].  Such a mechanism is used to
   provide a means for encrypted media to be used in environments where
   support for encryption is not known in advance, and not required.
   The same mechanism is also applied to negotiation of the Extended RTP
   Profile for Real-time Transport Control Protocol Based Feedback (RTP/
   AVPF) [RFC4585].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-hutton-mmusic-opportunistic-negotiation/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-hutton-mmusic-opportunistic-negotiation-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt